Bug 1464976 - [RFE] Revise CephFS cache configuration to operate in MB instead of inode count
Summary: [RFE] Revise CephFS cache configuration to operate in MB instead of inode count
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: CephFS
Version: 3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 3.0
Assignee: Patrick Donnelly
QA Contact: shylesh
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-06-26 10:37 UTC by John Spray
Modified: 2017-12-05 23:34 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.2.1-1.el7cp Ubuntu: ceph_12.2.1-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.MDS cache limits can be configured in bytes New configuration options are now supported that enable configuring Metadata Server (MDS) cache limits to be configured in bytes, not only in inodes count. For details, see the https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/ceph_file_system_guide/#understanding-mds-cache-size-limits[Understanding MDS Cache Size Limits] section in the Ceph File System Guide for Red Hat Ceph Storage 3. Note that limiting the MDS cache by the inodes count is now deprecated.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:34:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 20594 None None None 2017-07-12 04:23:06 UTC
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description John Spray 2017-06-26 10:37:08 UTC
Use mempools for allocation so that we can track usage in MB and apply cache limits based on that.

Comment 4 Patrick Donnelly 2017-07-12 04:21:26 UTC
Upstream tracker: http://tracker.ceph.com/issues/20594

Comment 5 Brett Niver 2017-08-18 16:41:25 UTC
This isn't going to make it into Luminous - so we need a new target.  Currently 3.0 is the latest I see.

Comment 6 Brett Niver 2017-08-18 20:41:54 UTC
Looks like we'll actually have this in roughly a week.  Not necessarily bug free by feature freeze, but we should have code.  I'm setting this back to target 3.0, dev-ack+ ceph-3.0/? flags.

I'd really like to get this in - since it's one of the features we identified in our planning last fall as just needing to be done.

If I'm setting something wrong, please just send me a note and make me fix it so I can develop my muscle memory.

Comment 13 Ramakrishnan Periyasamy 2017-10-30 12:33:36 UTC
Moving this bug to Verified state.

Tested this part of cephfs test case execution by limiting the cache.

Comment 16 errata-xmlrpc 2017-12-05 23:34:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.